package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.github.pagehelper.Page;
import com.huatek.busi.dto.BusiSensorQueryParamDto;
import com.huatek.busi.vo.BusiSensorVo;

/**
 * 避雷器监测装置sersorid表 Mapper
 *
 * @author anker_cheng
 * @date 2019-7-4 19:22:05
 */
@Repository
public interface BusiArresterSensorMapper {
    /**
     * @Title: page @Description: 分页 @createDate: Jul 18, 2019 3:41:03 PM @param equipmentId 外挂设备树ID @return
     *         Page<BusiSensorVo> @throws
     */
    Page<BusiSensorVo> page(String equipmentId);

    /**
     * sensor查询方法
     * 
     * @param param
     *            参数
     * @return sensor列表
     */
    List<BusiSensorVo> findSensorList(BusiSensorQueryParamDto param);

    /**
     * 校验当前sensor是否存在
     */
    Integer checkSensorCode(@Param("sensorCode") String sensorCode, @Param("id") String id);

    BusiSensorVo getBusiSensorVo(@Param("sensorCode") String sensorCode);

    BusiSensorVo getBusiSensorVoById(@Param("id") String id);
    
    int findSensorCount(@Param("equipmentType") String equipmentType);

    List<BusiSensorVo> querySensorByEquipmentId(String id);
}